/***************************************************************************
 *                                                                         *
 *   begin        : 15 Jan 2004                                            *
 *   copyright    : (C) 2003 by Samokhvalov Anton <red____hat@mail.ru> :)  *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __index__h__xc97bkxcvhb
#define __index__h__xc97bkxcvhb

#include <string>
#include <map>

class TopicLeaf;

class Index
{
	public:
		Index();
		~Index() throw ();
		
		void add( const std::string& key, TopicLeaf* leaf );
		TopicLeaf* find( const std::string& key );
		
	private:
		std::map< std::string, TopicLeaf* > d_map;
};

#endif
