/***************************************************************************
 *                                                                         *
 *   begin        : 15 Jan 2004                                            *
 *   copyright    : (C) 2003 by Samokhvalov Anton <red____hat@mail.ru> :)  *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __topic__tree__h__cby9cx7bcoxkhb
#define __topic__tree__h__cby9cx7bcoxkhb

#include <klistview.h>

namespace chm
{
	class chmfile;
	class chm_topics_tree;
};

class Index;
class TopicLeaf;
class QtextCodec;

class TopicTree: public KListView
{
		Q_OBJECT
	public:
		TopicTree( QWidget* parent = 0, const char* name = 0 );
		virtual ~TopicTree();
		
		TopicLeaf* find( const QString& url );
		QTextCodec* getCodec();
		void setCodec( QTextCodec* codec );
		void home();
		void updateCodec();
	
	public slots:
		void slotLoad( chm::chmfile* file );
		void slotLoadDelayed();
		void slotGoUp();
	
	private slots:
		void slotDoubleClicked( QListViewItem* item );
		
	private:
		Index* d_index;
		QTextCodec* d_codec;
};

#endif
