/***************************************************************************
 *                                                                         *
 *   begin        : 07 May 2004                                            *
 *   copyright    : (C) 2003 by Samokhvalov Anton <red____hat@mail.ru> :)  *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __CHM_H__36456
#define __CHM_H__36456

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapplication.h>
#include <kparts/mainwindow.h>

class Chm: public KParts::MainWindow
{
		Q_OBJECT
	public:
		Chm();
		virtual ~Chm();
		void load(const KURL& url);

	protected:
		void saveProperties(KConfig *);
		void readProperties(KConfig *);

	private slots:
		void fileOpen();
		void slotQuit();
		void optionsConfigureKeys();
		void optionsConfigureToolbars();
		void applyNewToolbarConfig();

	private:
		void setupAccel();
		void setupActions();

	private:
		KParts::ReadOnlyPart *m_part;
};

#endif
