/***************************************************************************
 *                                                                         *
 *   begin        : 07 May 2004                                            *
 *   copyright    : (C) 2003 by Samokhvalov Anton <red____hat@mail.ru> :)  *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __CHMPART_H__56984by
#define __CHMPART_H__56984by

#include <kparts/part.h>

class QWidget;
class QPainter;
class KURL;
class MainView;
class KAboutData;

class ChmPart : public KParts::ReadOnlyPart
{
		Q_OBJECT
		friend class Chm;
	public:
		ChmPart(QWidget *parentWidget, const char *widgetName,
                    QObject *parent, const char *name, const QStringList &args);

		virtual ~ChmPart();
		
		static KAboutData *createAboutData();

	protected:
		virtual bool openFile();
	
	private slots:
		void slotUp();
		void slotBack();
		void slotForward();
		void slotHome();
		void slotChangeState( bool up, bool back, bool forward );
		
	private:
		MainView *m_widget;
		QWidget* d_pw;
		QString d_wn;
};

#endif
