/***************************************************************************
 *                                                                         *
 *   begin        : 07 May 2004                                            *
 *   copyright    : (C) 2003 by Samokhvalov Anton <red____hat@mail.ru> :)  *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __encoding__h__dsf86g87ds
#define __encoding__h__dsf86g87ds

#include <qmap.h>

#include <kcombobox.h>

class QTextCodec;

class Encoding: public KComboBox
{
		Q_OBJECT
	public:
		Encoding( QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
		virtual ~Encoding();
	
		virtual void setCurrentText( const QString& txt );
	
	public slots:
		void slotSetCodec( QTextCodec* codec );
		
	private slots:
		void slotTextChanged( const QString& text );

	signals:
		void codecChanged( QTextCodec* codec );
	
	private:
		QMap< QString, QString > d_map;
};

#endif
