/***************************************************************************
 *                                                                         *
 *   begin        : 15 Jan 2004                                            *
 *   copyright    : (C) 2003 by Samokhvalov Anton <red____hat@mail.ru> :)  *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __topic__leaf__h__xc97bkxcvhb
#define __topic__leaf__h__xc97bkxcvhb

#include <klistview.h>

#include <string>

class TopicTree;
class Index;

namespace chm
{
	class chm_topics_tree;
	class chmfile;
};

class TopicLeaf: public KListViewItem
{
	public:
		TopicLeaf( TopicTree* parent, const chm::chm_topics_tree* tree, Index* index );
		TopicLeaf( TopicLeaf* parent, const chm::chm_topics_tree* tree, Index* index );
		
		void updateCodec();
	
	private:
		QTextCodec* getCodec();
	
	public:
		std::string path;
		std::string title;
};

#endif
